Social API reference

Social API · Collections

patch/v1/communities/{community_id}/collections/{collection_id}/items/{post_id}Auth

Reorder a post within a collection (owner only).

Path parameters

community_id*string

Social community UUID.

collection_id*string · uuid

Id of the collection.

post_id*string · uuid

Id of the post.

Request body

actor_idstring · uuid

The acting actor; must be the collection owner. Send it, or the deprecated `caller_actor_id`; one of the two is required.

Example: "aaaaaaaa-0000-0000-0000-000000000001"

caller_actor_idstring · uuid

Deprecated alias of `actor_id`; send `actor_id`.

Example: "aaaaaaaa-0000-0000-0000-000000000001"

position*number

New curator position.

Example: 3

Response · 200 Item repositioned.

collection_id*string · uuid

Id of the collection.

Example: "99999999-0000-0000-0000-000000000001"

post_id*string · uuid

Id of the post in the collection.

Example: "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb"

community_id*string · uuid

Id of the community.

Example: "cccccccc-cccc-cccc-cccc-cccccccccccc"

position*number

Owner-defined ordering position.

Example: 0

added_at*string · date-time

When the post was added.

Example: "2026-05-01T12:00:00.000Z"

Example

Request

PATCH https://social.productcraft.co/v1/communities/{community_id}/collections/{collection_id}/items/{post_id}
Authorization: Bearer YOUR_TOKEN
Content-Type: application/json

{
  "actor_id": "aaaaaaaa-0000-0000-0000-000000000001",
  "caller_actor_id": "aaaaaaaa-0000-0000-0000-000000000001",
  "position": 3
}

Response

{
  "collection_id": "99999999-0000-0000-0000-000000000001",
  "post_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
  "community_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
  "position": 0,
  "added_at": "2026-05-01T12:00:00.000Z"
}